<?php
require_once("../includes/bootstrap2.php");
if(!headers_sent())
	    ob_start("ob_gzhandler");
$sesion=new sesion(); // inicio la sesion
$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}
$academia=bootstrap::initBd($sesion->get('anio'));
$configuracion=$sesion->get('configuracion');
$nombre_grupo=$configuracion['nombres_grupos'];

$tipus=$sesion->get('ac_tipo_user');
$cd_docente=false;
if($sesion->getVar('cod_cmps.cd_docen')==$tipus){
	$cd_docente=$sesion->getVar('info_doc.cod_profesor');
}
$mayus_nom=$sesion->getVar('configuracion.format_nom');
$permisos = str_split($sesion->get('permiso'));
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script  type="text/javascript">
$(function(){
	
	var modulo="mod_logros_indicadores/";
	var objGrados=$("#md_txtgrados");
	var objMaterias=$("#md_txtmaterias");
	var gridLogros, gridIndica;
	var objPeridos=$("#txtperiodos");
	var objDesLg=$("#txtdesclogro");
	var formNewEdt=$("#formNewEdt");
	var formNewEdtInd=$("#formNewEdtInd");
	var codLogro=false,codInd=false;
	
	objGrados.on("change",function(){
		var cdgr=$(this).val();
		if(cdgr=='0x'){
			$("option",objMaterias).remove();
			objMaterias.attr("disabled",true).append('<option value="0x">Seleccionar</option>');
			$("#btn_add_lg,#btn_edt_lg,#btn_del_lg,#btn_add_in,#btn_edt_in,#btn_del_in").addClass('ui-state-disabled');
			gridLogros.clearGridData().setGridParam({page:1,datatype:'local'}).setCaption('Información de logros');
			gridIndica.clearGridData().setGridParam({page:1,datatype:'local'});
			codLogro=false;codInd=false;
			return false;
		}
		$("#btn_add_lg,#btn_edt_lg,#btn_del_lg,#btn_add_in,#btn_edt_in,#btn_del_in").removeClass('ui-state-disabled');
		
		$.ajax({
			url:modulo+'list_selc_materias.php',
			data:{cd:cdgr},
			dataType:"json",
			beforeSend: function(){
				objMaterias.attr("disabled",true).addClass("cargando");
				$("option",objMaterias).remove();
			},
			success: function(rta){
				if(!rta.error){
					$.each(rta,function(i,v){
						objMaterias.append('<option value="'+v.c+'" data-per="'+v.p+'">'+v.n+'</option>');
					});
					objMaterias.removeAttr("disabled").removeClass("cargando").trigger("change");
				}
			}
		});
	});
	objMaterias.on("change",function(){
		var cdm=$(this).val();
		var nper=parseInt($("option",this).attr('data-per'));
		$("option",objPeridos).remove();
		codLogro=false;
		for(var i=1; i<=nper;i++){
			objPeridos.append('<option value="'+i+'">'+i+'</option>');
		}
		gridLogros.setGridParam({
			page:1,
			datatype:'json',
			postData:{
				cdgr:objGrados.val(),
				cdm: cdm,
			}
		}).trigger("reloadGrid").setCaption($.formatMsg(dtsLang.md_logros_indica.titulogrillalog,$("option:selected",objGrados).text(),$("option:selected",this).text()));
	});
	formNewEdtInd.window({
		modal:true ,
		tittle:'Ayuda',
		minimizable:false,
		maximizable:false, 
		collapsible:false,
		closable:false,
		closed:true,
		modal:true,
		resizable:false
	});
	
	formNewEdt.window({
		modal:true ,
		tittle:'Ayuda',
		minimizable:false,
		maximizable:false, 
		collapsible:false,
		closable:false,
		closed:true,
		modal:true,
		resizable:false
	});
	
	$("#btnSave").on("click",function(){
		var iddoc=$("#txtdocentes").val();
		var per=$("#txtperiodos").val();
		var desc=$("#txtdesclogro").val();
		desc=desc.replace(/\n/g,'<br>');
		var nape=$("#txtdocentes option:selected").text();
		var oper=$(this).attr('data-acc');
		acciones({
			url:modulo+'opera_logros_indica.php',
			data:{
				dc:iddoc, p:per, d:desc,oper:oper,md:'lg',mt:$("#md_txtmaterias").val(),gr:$("#md_txtgrados").val(),id:codLogro
			},
			frm:"#formNewEdt",
			modulo:'md_logros_indica',
			id_grilla:'list_logros',
			msg_cmps_oblg:dtsLang.globals.cmpobl,
			msg_espere:dtsLang.globals.msg_espera,
			msgExito:dtsLang.md_logros_indica.msg_add_fll,
			empresa:dtsLang.project.empresa,
			data_grid:{def_logro:desc,per_cal:per,nomape:nape},			
			adicional:function(){
				formNewEdt.window('close');
				objDesLg.val("").focus();
			},
			evento:oper,
		});
	});
	
	$("#btnSaveInd").on("click",function(){

		var desc=$("#txtdescind").val();
		desc=desc.replace(/\n/g,'<br>');
		var oper=$(this).attr('data-acc');
		var nivel=$("#txtnivel").val();
		acciones({
			url:modulo+'opera_logros_indica.php',
			data:{
				d:desc,oper:oper,md:'in',id:codInd,niv:nivel,idlg:codLogro,
			},
			frm:"#formNewEdt",
			modulo:'md_logros_indica',
			id_grilla:'listado_indicadores',
			msg_cmps_oblg:dtsLang.globals.cmpobl,
			msg_espere:dtsLang.globals.msg_espera,
			msgExito:dtsLang.md_logros_indica.msg_add_fll,
			empresa:dtsLang.project.empresa,
			data_grid:{nivel:nivel,definicion:desc},			
			adicional:function(){
				formNewEdtInd.window('close');
				$("#txtdescind").val("");
				$("#txtnivel").val("");
			},
			evento:oper,
		});
	});
	
	$("#btnCancel").on("click",function(){
		formNewEdt.window('close');
		codLogro=false
	});
	$("#btnCancelInd").on("click",function(){
		formNewEdtInd.window('close');
		codInd=false;
	});
	$(document).ready(function(){
		gridLogros=jQuery("#list_logros").jqGrid({
			caption: 'Información de logros',
			height: 300,
			width:600,
			url:modulo+'list_logros.php',
			datatype: "local",
			rowNum:30,
			hidegrid:false,
			rowList:[15,30,50],
			pager: '#pager_logros',
			sortname: 'per_cal', 
			viewrecords: true,
			toolbar:[true,'top'],
			sortorder: "asc",
			shrinkToFit:false,
			editurl:modulo+'opera_logros_indica.php',
			colNames:[
				dtsLang.md_logros_indica.docente,
				dtsLang.md_logros_indica.periodos,
				dtsLang.md_logros_indica.def_logro,
			],
			colModel:[
				{name:'nomape',index:'nomape',editable:true,width:200,resizable:false},
				{name:'per_cal',index:'per_cal',editable:true,width:55,resizable:false},
				{name:'def_logro',index:'def_logro',editable:true,width:310,resizable:true},
			],	
			onSelectRow:function(rowid){
				codLogro=rowid;
				gridIndica.setGridParam({
					page:1,
					datatype:'json',
					postData:{
						cd:rowid,
					}
				}).trigger("reloadGrid");
			}
		});
		gridLogros.navGrid('#pager_logros',{edit:false,add:false,del:false}, {}, {}, {}, {multipleSearch:true} );
		
		/*----------------------------------------------------------------------------------------------------------------------------------------*/
		gridIndica=jQuery("#listado_indicadores").jqGrid({
			caption:'Lista de indicadores',
			height: 300,
			width:580,
			url:modulo+'list_indicadores.php',
			shrinkToFit:false,
			datatype: "local",
			hidegrid:false,
			multiselect: false,
			rowNum:15,
			rowList:[10,15,30],
			pager: '#pager_indicadores',
			sortname: 'nivel',
			toolbar:[true,'top'],
			viewrecords: true,
			sortorder: "asc",
			editurl:'mod_gradosgrupos/grupos_new_edit.php',
			colNames:[
				'<?php  echo $cleguaje->getField('grupos','nom_grupo') ?>',
				'<?php  echo $cleguaje->getField('grupos','nom_sede') ?>',
			],
			colModel:[
				{name:'nivel',index:'nivel',width:90,resizable:false,frozen:true, search:false},
				{name:'definicion',index:'definicion',width:455,resizable:false}
			],			
		})
		gridIndica.navGrid('#pager_indicadores',{add:false,edit:false,del:false}, {}, {}, {}, {multipleSearch:true});
		
	<?php if(in_array("A", $permisos)) {?>
		newBottonGrid(gridLogros,{
			pag:"t_list_logros",
			title:dtsLang.globals.news + " "+ dtsLang.md_logros_indica.name,
			caption:'',
			id:"btn_add_lg",
			onClickButton:function(){
				formNewEdt.window('setTitle',dtsLang.globals.news + " "+ dtsLang.md_logros_indica.name)
				$("#btnSave").attr('data-acc','new');
				formNewEdt.window('open').window('center');
			},
			posicion:"last",
			buttonicon:'ui-btn-new',
		});
		
		newBottonGrid(gridIndica,{
			pag:"t_listado_indicadores",
			title:dtsLang.globals.news + " "+ dtsLang.md_logros_indica.nameInd,
			caption:'',
			id:"btn_add_in",
			onClickButton:function(){
				if(codLogro){
					$("#btnSaveInd").attr('data-acc','new');
					formNewEdtInd.window('open').window('setTitle',dtsLang.globals.news + " "+ dtsLang.md_logros_indica.nameInd).window('center');
				}else{
					jAlert("Debe seleccionar un logro para agregar indicadores",dtsLang.project.empresa,'adv')
				}
			},
			posicion:"last",
			buttonicon:'ui-btn-new',
		}); 
		$("#btn_add_lg,#btn_add_in").addClass('ui-state-disabled');
		
	<?php } if(in_array("M", $permisos)) {?>
		newBottonGrid(gridLogros,{
			pag:"t_list_logros",
			title:dtsLang.globals.edit + " "+ dtsLang.md_logros_indica.name,
			caption:'',
			id:"btn_edt_lg",
			onClickButton:function(){
				codLogro=gridLogros.getGridParam('selrow');
				if(!codLogro){
					jAlert(dtsLang.globals.selrec,dtsLang.project.empresa,'error');
					return false;
				}
				$("#btnSave").attr('data-acc','edit');
				var dts=gridLogros.getRowData(codLogro);
				objDesLg.val(dts.def_logro.replace(/<br>/g,'\n'));
				formNewEdt.window('open');
			},
			posicion:"last",
			buttonicon:'ui-btn-edit',
		});
		
		newBottonGrid(gridLogros,{
			pag:"t_listado_indicadores",
			title:dtsLang.globals.edit + " "+ dtsLang.md_logros_indica.nameInd,
			caption:'',
			id:"btn_edt_in",
			onClickButton:function(){
				codInd=gridIndica.getGridParam('selrow');
				if(!codInd){
					jAlert(dtsLang.globals.selrec,dtsLang.project.empresa,'error');
					return false;
				}
				$("#btnSaveInd").attr('data-acc','edit');
				var dts=gridIndica.getRowData(codInd);
				$("#txtnivel").val(dts.nivel);
				$("#txtdescind").val(dts.definicion.replace(/<br>/g,'\n'))
				formNewEdtInd.window('open').window('center');
			},
			posicion:"last",
			buttonicon:'ui-btn-edit',
		});
		
		$("#btn_edt_lg,#btn_edt_in").addClass('ui-state-disabled');
		
	<?php } if(in_array("E", $permisos)){ ?>	
		newBottonGrid(gridLogros,{
			pag:"t_list_logros",
			title:dtsLang.globals.del + " "+ dtsLang.md_logros_indica.name,
			caption:'',
			id:"btn_del_lg",
			onClickButton:function(){
				codLogro=gridLogros.getGridParam('selrow');
				if(!codLogro){
					jAlert(dtsLang.globals.selrecdel,dtsLang.project.empresa,'error');
					return false;
				}
				jConfirm(dtsLang.md_logros_indica.msg_del_lg,dtsLang.project.empresa,function(r){
					if(!r) return false;
					$.ajax({
						url:modulo+'opera_logros_indica.php',
						data:{
							id:codLogro,
							md:'lg',
							oper:'del'
						},
						type:"POST",
						dataType:"json",
						success: function(rta){
							if(!$.validaErrorRta(rta.error,'md_logros_indica',null)){
								gridLogros.delRowData(codLogro);
								notifica_ok(dtsLang.globals.delexito);
							}
						}
					});
				});
			},
			posicion:"last",
			buttonicon:'ui-btn-del',
		});
		
		newBottonGrid(gridLogros,{
			pag:"t_listado_indicadores",
			title:dtsLang.globals.del + " "+ dtsLang.md_logros_indica.nameInd,
			caption:'',
			id:"btn_del_in",
			onClickButton:function(){
				codInd=gridIndica.getGridParam('selrow');
				if(!codInd){
					jAlert(dtsLang.globals.selrecdel,dtsLang.project.empresa,'error');
					return false;
				}
				jConfirm(dtsLang.md_logros_indica.msg_del_in,dtsLang.project.empresa,function(r){
					if(!r) return false;
					$.ajax({
						url:modulo+'opera_logros_indica.php',
						data:{
							id:codInd,
							md:'in',
							oper:'del'
						},
						type:"POST",
						dataType:"json",
						success: function(rta){
							if(!$.validaErrorRta(rta.error,'md_logros_indica',null)){
								gridIndica.delRowData(codInd);
								notifica_ok(dtsLang.globals.delexito);
							}
						}
					});
				});
			},
			posicion:"last",
			buttonicon:'ui-btn-del',
		});
		
		$("#btn_del_lg,#btn_del_in").addClass('ui-state-disabled');

	<?php } ?>	
		
	});/*fin dom*/
});
</script>
</head>

<body>
<div id="formNewEdt" style="padding:5px;">
	<table border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td><div class="tit1">Docentes</div>
				<?php if(!$cd_docente):
					$mayus_nom=''; 
					echo '<select name="txtdocentes" id="txtdocentes" style="width:250px" class="campos">';
						$sql="SELECT cod_profesor as iddoc,lcase(CONCAT_WS(' ',ap1_pro, ap2_pro,no1_pro, no2_pro)) as nomape FROM pro_profesores";
						$academia->instruccion($sql);
						while($reg=$academia->extraer_registro()){
							echo '<option value="'.$reg['iddoc'].'">'.formatoPalabras($reg['nomape'],$mayus_nom).'</option>';
						}
					echo '</select>';
				endif ;
				?>
				</td>
			<td><div class="tit1">Periodo</div>
				<select name="txtperiodos" id="txtperiodos" style="width:70px" class="campos">
				</select></td>
		</tr>
		<tr>
			<td colspan="2"><div class="tit1">Descripción logro</div><textarea name="txtdesclogro" class="campos" cols="50" rows="8" id="txtdesclogro"></textarea></td>
		</tr>
	</table>
	<div class="modal-footer">
		<button type="button" class="btn btn-small btn-info" id="btnSave" data-acc='new'>
			<i class="ui-btn-save icon-white"></i>
			<span>Guardar</span>
		</button>
		<button id="btnCancel" type="button" class="btn btn-small btn-warning">
			<i class="ui-btn-cancel icon-white"></i>
			<span >Cancelar</span>
		</button>
	</div>
</div>
<div id="formNewEdtInd" style="padding:5px;">
	<table border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td><div class="tit1">Desempeño</div>
				<input name="txtnivel" id="txtnivel" type="text" class="campos" />
			</td>
		</tr>
		<tr>
			<td><div class="tit1">Descripción indicador</div><textarea name="txtdescind" class="campos" cols="50" rows="8" id="txtdescind"></textarea></td>
		</tr>
	</table>
	<div class="modal-footer">
		<button type="button" class="btn btn-small btn-info" id="btnSaveInd" data-acc='new'>
			<i class="ui-btn-save icon-white"></i>
			<span>Guardar</span>
		</button>
		<button id="btnCancelInd" type="button" class="btn btn-small btn-warning">
			<i class="ui-btn-cancel icon-white"></i>
			<span >Cancelar</span>
		</button>
	</div>
</div>

<table>
	<tr>
		<td>
        	<div class="tit1">Grados</div>
			<select name="md_txtgrados" class="campos" id="md_txtgrados" style="width:250px;" >
				<option value="0x">Seleccionar</option>
			    <?php
					if(!empty($cd_docente)){
						$sql="SELECT DISTINCT aux_grados.cod_grado,aux_grados.ide_grado, aux_grados.nom_grado
FROM aca_grupos INNER JOIN aux_grados ON (aca_grupos.cod_grado = aux_grados.cod_grado) INNER JOIN aca_asignaturasxgrupos ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo) WHERE (aca_asignaturasxgrupos.cod_profesor =$cd_docente) ORDER BY orden ASC";
					}else{
						$sql="SELECT DISTINCT aux_grados.cod_grado,aux_grados.ide_grado, aux_grados.nom_grado FROM  aca_grupos INNER JOIN aux_grados ON (aca_grupos.cod_grado = aux_grados.cod_grado) order by orden asc;";
					}
					$academia->instruccion($sql);
					while($reg=$academia->extraer_registro()){
						echo "<option value='".$reg['cod_grado']."'>".$reg['nom_grado']."</option>";	
					}
					$academia->liberar();	
				?>
	    	</select>
		</td>
		<td>
        	<div class="tit1">Materias</div>
			<select name="md_txtmaterias" class="campos" id="md_txtmaterias" style="width:250px;" disabled="disabled"><option value="0x">Seleecionar...</option></select>
		</td>
	</tr>
</table>
<table align="center">
	<tr align="center">
		<td align="center">
			<table id="list_logros"></table>
			<div id="pager_logros"></div>
		</td>
		<td align="center">
			<table id="listado_indicadores"></table>
			<div id="pager_indicadores"></div>
		</td>
	</tr>
</table>
</body>
</html>